Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.processor
Class OptionalAsyncInterceptingMessageProcessor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.processor.AsyncInterceptingMessageProcessor
              org.mule.processor.OptionalAsyncInterceptingMessageProcessor

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, MuleContextAware, Startable, Stoppable, InterceptingMessageProcessor, MessageProcessor, MessageSource

Direct Known Subclasses:
  SedaStageInterceptingMessageProcessor

    public class OptionalAsyncInterceptingMessageProcessor

extends AsyncInterceptingMessageProcessor

Implementation of `AsyncInterceptingMessageProcessor` which continues processing in the same thread if the inbound endpoint has an exchange pattern that has a response or if a transaction is present. Execution of the next message processor is only passed off to another thread if this is not the case.

Field Summary

Fields inherited from class org.mule.processor.AsyncInterceptingMessageProcessor
`doThreading, workManager, workManagerSource`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`OptionalAsyncInterceptingMessageProcessor(ThreadingProfile threadingProfile, String name, int shutdownTimeout)`
`OptionalAsyncInterceptingMessageProcessor(WorkManagerSource workManagerSource)`
`OptionalAsyncInterceptingMessageProcessor(WorkManagerSource workManagerSource, boolean doThreading)` Deprecated.

Method Summary
`protected boolean` | `isProcessAsync(MuleEvent event)`

Methods inherited from class org.mule.processor.AsyncInterceptingMessageProcessor
`handleWorkException, process, processNextAsync, processNextTimed, start, stop, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionalAsyncInterceptingMessageProcessor

    public OptionalAsyncInterceptingMessageProcessor(WorkManagerSource workManagerSource)

### OptionalAsyncInterceptingMessageProcessor

    @Deprecated
    public OptionalAsyncInterceptingMessageProcessor(WorkManagerSource workManagerSource,
                                                                boolean doThreading)

  Deprecated.

### OptionalAsyncInterceptingMessageProcessor

    public OptionalAsyncInterceptingMessageProcessor(ThreadingProfile threadingProfile,
                                                     String name,
                                                     int shutdownTimeout)

Method Detail

### isProcessAsync

    protected boolean isProcessAsync(MuleEvent event)
                              throws MessagingException

  Overrides:
    `isProcessAsync` in class `AsyncInterceptingMessageProcessor`
  Throws:
    `MessagingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.